<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
    <h:form>
    	<h3 style="margin-top:0">Equipo Territorial Provincial</h3>
    	<p:separator></p:separator>
    	<p:panelGrid columns="3" >
            <p:outputLabel for="nombre" value="Nombre : " />
            <p:inputText id="nombre" value="#{zonalMB.instance.nombre}" label="Nombre" required="true"/>
            <p:message  for="nombre" display="icon"/>

			<p:outputLabel for="codigo" value="Codigo : " />
            <p:inputText id="codigo" value="#{zonalMB.instance.codigo}" label="Codigo" required="true">
            	<f:validateLength maximum="5" /> 
            </p:inputText>
            <p:message  for="codigo" display="icon"/>

            <p:outputLabel for="responsable" value="Responsable : " />
            <p:inputText id="responsable" value="#{zonalMB.instance.responsable}" label="Responsable" required="true"/>
			<h:panelGroup/>

			<p:outputLabel for="telefono" value="Telefono : " />
            <p:inputText id="telefono" value="#{zonalMB.instance.telefono}" label="Telefono" required="true" validatorMessage="Solo se permiten numeros para el campo telefono">
    					<f:validateRegex  pattern="\d*(.\d+)?" />
    			</p:inputText>
            <p:message for="telefono" display="icon"/>

			<p:outputLabel for="fax" value="Fax : " />
            <p:inputText id="fax" value="#{zonalMB.instance.fax}"/>
			<h:panelGroup/>
			
			<p:outputLabel for="celGuardia" value="Telefono celular de guardia: " />
            <p:inputText id="celGuardia" value="#{zonalMB.instance.celGuardia}"/>
			<h:panelGroup/>
            
            <p:outputLabel for="email" value="Email: " />
            <p:inputText id="email" value="#{zonalMB.instance.email}" label="Email" required="true" validatorMessage="El mail ingresado es invalido">
                	<f:validateRegex for="email" 
						pattern="^[_A-Za-z0-9-\+]+(\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\.[A-Za-z0-9]+)*(\.[A-Za-z]{2,})$" />
			</p:inputText>           
            <p:message for="email" display="icon"/>

            <p:outputLabel for="codigoPostal" value="Codigo Postal: " />
            <p:inputText id="codigoPostal" value="#{zonalMB.instance.codigoPostal}"/>
			<h:panelGroup/>

			<p:outputLabel for="provincia" value="Provincia :"/>
       		<p:selectOneMenu value="#{zonalMB.instance.provincia}" converter="provinciaConverter" required="true" label="Provincia" id="provincia">
                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{commonSelectorsMB.getProvincias(zonalMB.instance.provincia)}" var="provincia"
                               itemValue="#{provincia}"
                               itemLabel="#{provincia.nombre}"/>
            		</p:selectOneMenu>
			<p:message for="provincia" display="icon"/>
			
			<p:outputLabel for="observacion" value="Observacion: " />
			<p:inputTextarea rows="10" cols="50" value="#{zonalMB.instance.observacion}" queryDelay="750" minQueryLength="4" id="observacion" />
			<h:panelGroup/>

        </p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{zonalMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{zonalMB.cancel}" ajax="false" immediate="true"/>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>